Subject: Re: bug#64548: 29.0.92; Modus Themes Info manual is in "Unknown category"

From: Stephen Berman <[email-masked]>
Date: Mon, 10 Jul 2023 22:09:30 +0200

On Mon, 10 Jul 2023 14:08:30 +0000 Philip Kaludercic <[email-masked]> wrote:

> I've added Protesilaos to the CCs, in case he hasn't seen the bug
> report.  (Generally it is recommended to add a "X-Debbugs-CC" header if
> you can find the maintainer).
>
> Stephen Berman <[email-masked]> writes:
>
>> On Sun, 09 Jul 2023 22:21:55 +0200 Stephen Berman <[email-masked]> wrote:
>>
>>> After building Emacs from the release branch or from master, the
>>> info/dir file looks like this (excerpted):
>>>
>>> [...]
>>> Unknown category
>>> * Modus Themes: (modus-themes).  Elegant, highly legible and customizable
>>> themes.
>>>
>>>
>>> The two odds things about the last entry are its category and the extra
>>> space after the asterisk.
>>> [...]
>>
>> I bisected the problem to the following commit:
>>
>> 8a9839348fb8762c8843362595f2ca9de60d515c is the first bad commit
>> commit 8a9839348fb8762c8843362595f2ca9de60d515c
>> Author: Protesilaos Stavrou <[email-masked]>
>> Date:   Wed Aug 3 14:32:38 2022 +0300
>>
>>     Update modus-themes to their version 2.5.0
>>
>> And the problem is due, to my surprise, to whitespace in the Org markup
>> at the beginning of modus-themes.org.  This suggests to me a problem
>> somewhere in org/ox-texinfo.el,
>
> Why do you think this is a problem with exporting, rather than with
> parsing?

I wasn't thinking of any specific cause, I just saw that ox-texinfo.el
is used in the Makefile, but I know nothing about it.

>           Either way, it might be worth involving some Org people in
> this report.

Yes, that I did mean to suggest.

>>                                 but I'm not familiar with that code, so
>> I'll leave pursuing it to someone who is.  In the meantime, building
>> with the attached patch against current emacs-29 restores the correct
>> dir file.
[...]

On Mon, 10 Jul 2023 22:49:20 +0300 Protesilaos Stavrou <[email-masked]> wrote:

>> From: Philip Kaludercic <[email-masked]>
>> Date: Mon, 10 Jul 2023 14:08:30 +0000
>>
>> I've added Protesilaos to the CCs, in case he hasn't seen the bug
>> report.  (Generally it is recommended to add a "X-Debbugs-CC" header if
>> you can find the maintainer).
>
> Thank you Philip, Stephen!
>
> Stephen, I am fine with the patch.  I was not expecting the spaces to
> create such a problem.

Thanks.  I do hope an Org developer familiar with the generation of
.texi files from .org sources will chime in, and in any case it's up to
Eli to decide whether the patch should be installed.

Steve Berman